eclipse创建maven项目相关问题

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/rj2017211811/article/details/88773498

1.不再支持源选项 5。请使用 6 或更高版本。
没有再pom.xml文件中配置maven版本
解决方法:
在pom.xml文件中的properties配置

<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>11.0.1</maven.compiler.source>
		<maven.compiler.target>11.0.1</maven.compiler.target>
	</properties>

2.Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:。。。
maven的maven.compile.source以及maven.compile.target和项目中的jdk版本不一致
解决方法:
把项目jdk和maven编译的jdk修改一致即可

展开阅读全文

没有更多推荐了,返回首页